    The XSPEC nthComp model: Thermally comptonized continuum.

xsnthcomp
The xsnthcomp model is an additive model component.

The model is described at [1] .

>>> create_model_component("xsnthcomp", "mdl")
>>> print(mdl)

Create a component of the xsnthcomp model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.Gamma thawed 1.7 1.001 10 mdl.kT_e thawed 100 1 1000 keV mdl.kT_bb frozen 0.1 0.001 10 keV mdl.inp_type frozen 0 0 1 0/1 mdl.redshift frozen 0 -0.999 10 mdl.norm thawed 1 0 1e+24

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
Gamma
The asymptotic power-law photon index.
kT_e
The electron temperature (high-energy rollover) in keV.
kT_bb
The seed photon temperature (low-energy rollover) in keV.
inp_type
The seed photon source: when 0 use a blackbody, when 1 use a disk-blackbody.
redshift
The redshift.
norm
The normalization of the model: see [1] for more details.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelNthcomp.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023